/* Xlrem Login Reminder program for Motif
 * Copyright (C) 1997 George Lebl.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>

#include <Xm/MainW.h>
#include <Xm/ScrolledW.h>
#include <Xm/RowColumn.h>
#include <Xm/PushBG.h>
#include <Xm/LabelG.h>
#include <Xm/Text.h>
#include <Xm/Form.h>
#include <Xm/MessageB.h>
#include <Xm/DialogS.h>
#include <Xm/PanedW.h>
#include <Xm/SashP.h>
#include <Xm/List.h>

#define VERSION "1.0"

#ifndef REMFILE
#define REMFILE ".xlrem"
#endif
#ifndef SYSREMFILE
#define SYSREMFILE "/etc/xlrem"
#endif
#ifndef MAXREMLEN
#define MAXREMLEN 3000
#endif
#ifndef MAXREM
#define MAXREM 200
#endif
#define DELANS 1
#define SKIPANS 2
#define QUITANS 3

/*
 * Message Box, simple dialog only with ok and a message
 * only created once
 * APLICATION MODAL
 */
void mbox(Widget parent, char *msg, char *tit);

/*
 * Read the reminders file
 */
int read_rem_file(char filename[]);

/*
 * Write the reminders file and free the reminders if asked to
 */
int write_rem_file(char filename[],int freearray);

/*
 * Is the file writable (we create one if it doesn't exist)
 */
int iswritable(char file[]);
